export const produitCanalFilterParam = [
  {
    title: 'Reaction',
    type: ['reaction'],
    nom: 'reaction',
    skip: 0,
    take: 12,
    order: 'desc',
    typename: 'reaction',
    sortBy: '',
    listValues: [
      {
        id: 0,
        nom: 'Commentaire',
        __typename: 'reaction',
        checked: false,
      },
      {
        id: 1,
        nom: 'Smyleys',
        __typename: 'reaction',
        checked: false,
      },
    ],
  },
  {
    title: 'Remise',
    type: ['remise'],
    nom: 'libelle',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'remise',
    sortBy: 'remise',
  },
  {
    title: 'Famille',
    type: ['famille'],
    nom: 'libelleFamille',
    skip: 0,
    take: 2000,
    order: 'desc',
    typename: 'famille',
    sortBy: 'countCanalArticles',
    searchPlaceholder: 'Rechercher famille',
  },
  {
    title: 'Laboratoire',
    type: ['laboratoire'],
    nom: 'nomLabo',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'laboratoire',
    sortBy: 'countCanalArticles',
    searchPlaceholder: 'Rechercher laboratoire',
  },
  {
    title: 'Gammes commerciales',
    type: ['canalgamme'],
    nom: 'libelle',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'gamme',
    sortBy: 'countCanalArticles',
  },
];

export const produitFilterParam = [
  // {
  //   title: 'Canal Commande',
  //   type: ['commandecanal'],
  //   nom: 'libelle',
  //   skip: 0,
  //   take: 1000,
  //   order: 'desc',
  //   typename: 'commandecanals',
  //   sortBy: 'countCanalArticles',
  // },
  // {
  //   title: 'Remise',
  //   type: ['remise'],
  //   nom: 'libelle',
  //   skip: 0,
  //   take: 1000,
  //   order: 'desc',
  //   typename: 'remise',
  //   sortBy: 'remise',
  // },
  {
    title: 'Famille',
    type: ['famille'],
    nom: 'libelleFamille',
    skip: 0,
    take: 2000,
    order: 'desc',
    typename: 'famille',
    sortBy: 'countCanalArticles',
    searchPlaceholder: 'Rechercher famille',
  },
  {
    title: 'Laboratoire',
    type: ['laboratoire'],
    nom: 'nomLabo',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'laboratoire',
    sortBy: 'countCanalArticles',
    searchPlaceholder: 'Rechercher laboratoire',
  },
];

export const operationFilterParam = [
  {
    title: 'Commande',
    type: ['commande'],
    nom: 'libelle',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'occommande',
    sortBy: 'commandePasse',
  },
  {
    title: 'Type Commande',
    type: ['commandetype'],
    nom: 'libelle',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'commandetype',
    sortBy: 'countOperationsCommercials',
  } /*
  {
    title: 'Canal Commande',
    type: ['commandecanal'],
    nom: 'libelle',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'commandecanal',
    sortBy: 'countOperationsCommercials',
  }, */,
];

export const actualiteFilterParam = [
  {
    title: 'Origine',
    type: ['actualiteorigine'],
    nom: 'libelle',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'actualiteorigine',
    sortBy: '',
    countKey: 'countActualites',
  },
];

export const laboratoireFilterParam = [
  {
    title: 'Sortie',
    type: ['sortietype'],
    nom: 'sortie',
    skip: 0,
    take: 12,
    order: 'desc',
    typename: 'sortie',
    sortBy: '',
    listValues: [
      {
        id: 1,
        nom: 'Oui',
        __typename: 'sortie',
        checked: false,
      },
      {
        id: 0,
        nom: 'Non',
        __typename: 'sortie',
        checked: true,
      },
    ],
  },
  {
    title: 'Type',
    type: ['labotype'],
    nom: 'labotype',
    skip: 0,
    take: 12,
    order: 'desc',
    typename: 'sortie',
    sortBy: '',
    listValues: [
      {
        id: 0,
        nom: 'Partenaire',
        __typename: 'labotype',
        checked: false,
      },
      {
        id: 1,
        nom: 'Autre',
        __typename: 'labotype',
        checked: false,
      },
    ],
  },
];

export const projectFilterParam = [
  {
    title: 'Type',
    type: ['todotype'],
    nom: 'libelle',
    skip: 0,
    take: 1000,
    order: 'desc',
    typename: 'todotype',
    sortBy: 'todotype',
  },
];
